uuid: f670107c-7a77-4b47-bd64-3d6b5e85bec9
langcode: en
status: true
dependencies:
  config:
    - field.field.paragraph.bp_column_wrapper.bp_background
    - field.field.paragraph.bp_column_wrapper.bp_column_content_w
    - field.field.paragraph.bp_column_wrapper.bp_title
    - field.field.paragraph.bp_column_wrapper.bp_title_status
    - field.field.paragraph.bp_column_wrapper.field_bp_classes
    - paragraphs.paragraphs_type.bp_column_wrapper
  module:
    - field_group
    - paragraphs_features
    - paragraphs_previewer
third_party_settings:
  field_group:
    group_component_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: true
    group_styling_settings:
      children:
        - bp_background
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 2
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: true
_core:
  default_config_hash: sHQ35fW5sF68IHrFh7ZOsgV7MKDrGArTRJ61i9GoN88
id: paragraph.bp_column_wrapper.default
targetEntityType: paragraph
bundle: bp_column_wrapper
mode: default
content:
  bp_background:
    type: options_buttons
    weight: 3
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_column_content_w:
    type: paragraphs_previewer
    weight: 1
    region: content
    settings:
      title: Component
      title_plural: Components
      edit_mode: closed
      closed_mode: preview
      autocollapse: none
      closed_mode_threshold: '0'
      add_mode: modal
      form_display_mode: default
      default_paragraph_type: _none
      features:
        duplicate: duplicate
        collapse_edit_all: collapse_edit_all
        add_above: add_above
    third_party_settings:
      paragraphs_features:
        add_in_between: false
        delete_confirmation: true
        split_text: false
        show_drag_and_drop: true
  bp_title:
    type: string_textfield
    weight: 1
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  bp_title_status:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 4
    region: content
    settings: {  }
    third_party_settings: {  }
  translation:
    weight: 10
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  created: true
  status: true
  uid: true
